Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1267551 - root: fails to compile during install section in ppc64le
Summary: root: fails to compile during install section in ppc64le
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: root
Version: 25
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2015-09-30 11:56 UTC by Rafael Fonseca
Modified: 2017-01-16 15:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-16 15:05:43 UTC


Attachments (Terms of Use)

Description Rafael Fonseca 2015-09-30 11:56:29 UTC
Description of problem: root build fails on ppc64le with the following error:

~/build/BUILD/root-5.34.32
+ mkdir -p /builddir/build/BUILDROOT/root-5.34.32-3.fc22.ppc64le/etc/ld.so.conf.d
+ echo /usr/lib64/root
+ echo Rint.Includes: 0
+ echo Cint.Includes: 0
+ echo Root.StacktraceScript: /builddir/build/BUILD/root-5.34.32/etc/gdb-backtrace.sh
+ echo Gui.MimeTypeFile: /builddir/build/BUILD/root-5.34.32/etc/root.mimes
+ echo 'Unix.*.Root.DynamicPath:' /builddir/build/BUILD/root-5.34.32/lib
+ echo 'Unix.*.Root.MacroPath:' .:/builddir/build/BUILD/root-5.34.32/macros
+ echo 'Unix.*.Root.PluginPath:' /builddir/build/BUILD/root-5.34.32/etc/plugins
+ echo '*.*.Root.TTFontPath:' /builddir/build/BUILD/root-5.34.32/fonts
+ sed 's!@PWD@!/builddir/build/BUILD/root-5.34.32!g' /builddir/build/SOURCES/root-html.C
+ LD_LIBRARY_PATH=/builddir/build/BUILD/root-5.34.32/lib:/builddir/build/BUILD/root-5.34.32/cint/cint/include:/builddir/build/BUILD/root-5.34.32/cint/cint/stl
+ PATH=/builddir/build/BUILD/root-5.34.32/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin
+ ROOTSYS=/builddir/build/BUILD/root-5.34.32
+ ./bin/root.exe -b -l -n -q -x html.C
Error in <UnknownClass::ReadFile>: no file name specified
*** stack smashing detected ***: ./bin/root.exe terminated
======= Backtrace: =========
/lib64/libc.so.6(+0x88f80)[0x3fffac808f80]
/lib64/libc.so.6(__fortify_fail+0x60)[0x3fffac8c32c0]
/lib64/libc.so.6(__stack_chk_fail+0x20)[0x3fffac8c3250]
/builddir/build/BUILD/root-5.34.32/lib/libCore.so.5.34(_Z19DefaultErrorHandleribPKcS0_+0x514)[0x3fffad707eb4]
/builddir/build/BUILD/root-5.34.32/lib/libCore.so.5.34(ErrorHandler+0x2f4)[0x3fffad7076a4]
/builddir/build/BUILD/root-5.34.32/lib/libCore.so.5.34(_ZNK7TObject7DoErrorEiPKcS1_Pc+0x7c)[0x3fffad79dc8c]
/builddir/build/BUILD/root-5.34.32/lib/libCore.so.5.34(_ZNK7TObject5ErrorEPKcS1_z+0x58)[0x3fffad79de78]
/builddir/build/BUILD/root-5.34.32/lib/libCore.so.5.34(_ZN4TEnv8ReadFileEPKc9EEnvLevel+0xfc)[0x3fffad7b8bac]
/builddir/build/BUILD/root-5.34.32/lib/libCore.so.5.34(_ZN4TEnvC2EPKc+0x168)[0x3fffad7b9718]
/builddir/build/BUILD/root-5.34.32/lib/libCore.so.5.34(_ZN5TROOT10InitSystemEv+0xc8)[0x3fffad73fce8]
/builddir/build/BUILD/root-5.34.32/lib/libCore.so.5.34(_ZN5TROOTC1EPKcS1_PPFvvE+0x2f8)[0x3fffad740388]
/builddir/build/BUILD/root-5.34.32/lib/libCore.so.5.34(_ZN4ROOT7GetROOTEv+0x8c)[0x3fffad741ccc]
/builddir/build/BUILD/root-5.34.32/lib/libCore.so.5.34(+0x191388)[0x3fffad701388]
/lib64/ld64.so.2(+0x1aa50)[0x3fffade9aa50]
/lib64/ld64.so.2(+0x116c)[0x3fffade8116c]
======= Memory map: ========
10000000-10010000 r-xp 00000000 fd:00 4863915                            /builddir/build/BUILD/root-5.34.32/bin/root.exe
10010000-10020000 r--p 00000000 fd:00 4863915                            /builddir/build/BUILD/root-5.34.32/bin/root.exe
10020000-10030000 rw-p 00010000 fd:00 4863915                            /builddir/build/BUILD/root-5.34.32/bin/root.exe
10038090000-100380d0000 rw-p 00000000 00:00 0                            [heap]
3fffac530000-3fffac540000 r-xp 00000000 fd:00 4591885                    /usr/lib64/libnss_files-2.21.so
3fffac540000-3fffac550000 r--p 00000000 fd:00 4591885                    /usr/lib64/libnss_files-2.21.so
3fffac550000-3fffac560000 rw-p 00010000 fd:00 4591885                    /usr/lib64/libnss_files-2.21.so
3fffac560000-3fffac5e0000 r-xp 00000000 fd:00 4591834                    /usr/lib64/libfreebl3.so
3fffac5e0000-3fffac5f0000 r--p 00070000 fd:00 4591834                    /usr/lib64/libfreebl3.so
3fffac5f0000-3fffac600000 rw-p 00080000 fd:00 4591834                    /usr/lib64/libfreebl3.so
3fffac600000-3fffac610000 r-xp 00000000 fd:00 4591871                    /usr/lib64/libcrypt-2.21.so
3fffac610000-3fffac620000 r--p 00000000 fd:00 4591871                    /usr/lib64/libcrypt-2.21.so
3fffac620000-3fffac630000 rw-p 00010000 fd:00 4591871                    /usr/lib64/libcrypt-2.21.so
3fffac630000-3fffac650000 rw-p 00000000 00:00 0 
3fffac650000-3fffac6c0000 r-xp 00000000 fd:00 4592038                    /usr/lib64/libpcre.so.1.2.5
3fffac6c0000-3fffac6d0000 r--p 00060000 fd:00 4592038                    /usr/lib64/libpcre.so.1.2.5
3fffac6d0000-3fffac6e0000 rw-p 00070000 fd:00 4592038                    /usr/lib64/libpcre.so.1.2.5
3fffac6e0000-3fffac720000 r-xp 00000000 fd:00 4595662                    /usr/lib64/liblzma.so.5.2.0
3fffac720000-3fffac730000 r--p 00030000 fd:00 4595662                    /usr/lib64/liblzma.so.5.2.0
3fffac730000-3fffac740000 rw-p 00040000 fd:00 4595662                    /usr/lib64/liblzma.so.5.2.0
3fffac740000-3fffac760000 r-xp 00000000 fd:00 4595647                    /usr/lib64/libz.so.1.2.8
3fffac760000-3fffac770000 r--p 00010000 fd:00 4595647                    /usr/lib64/libz.so.1.2.8
3fffac770000-3fffac780000 rw-p 00020000 fd:00 4595647                    /usr/lib64/libz.so.1.2.8
3fffac780000-3fffac950000 r-xp 00000000 fd:00 4591867                    /usr/lib64/libc-2.21.so
3fffac950000-3fffac960000 r--p 001c0000 fd:00 4591867                    /usr/lib64/libc-2.21.so
3fffac960000-3fffac970000 rw-p 001d0000 fd:00 4591867                    /usr/lib64/libc-2.21.so
3fffac970000-3fffac990000 r-xp 00000000 fd:00 4591893                    /usr/lib64/libpthread-2.21.so
3fffac990000-3fffac9a0000 r--p 00010000 fd:00 4591893                    /usr/lib64/libpthread-2.21.so
3fffac9a0000-3fffac9b0000 rw-p 00020000 fd:00 4591893                    /usr/lib64/libpthread-2.21.so
3fffac9b0000-3fffac9d0000 r-xp 00000000 fd:00 4591504                    /usr/lib64/libgcc_s-5.1.1-20150618.so.1
3fffac9d0000-3fffac9e0000 r--p 00010000 fd:00 4591504                    /usr/lib64/libgcc_s-5.1.1-20150618.so.1
3fffac9e0000-3fffac9f0000 rw-p 00020000 fd:00 4591504                    /usr/lib64/libgcc_s-5.1.1-20150618.so.1
3fffac9f0000-3fffacac0000 r-xp 00000000 fd:00 4591875                    /usr/lib64/libm-2.21.so
3fffacac0000-3fffacad0000 r--p 000c0000 fd:00 4591875                    /usr/lib64/libm-2.21.so
3fffacad0000-3fffacae0000 rw-p 000d0000 fd:00 4591875                    /usr/lib64/libm-2.21.so
3fffacae0000-3fffaccc0000 r-xp 00000000 fd:00 4591911                    /usr/lib64/libstdc++.so.6.0.21
3fffaccc0000-3fffaccd0000 r--p 001e0000 fd:00 4591911                    /usr/lib64/libstdc++.so.6.0.21
3fffaccd0000-3fffacce0000 rw-p 001f0000 fd:00 4591911                    /usr/lib64/libstdc++.so.6.0.21
3fffacce0000-3fffaccf0000 r-xp 00000000 fd:00 4591873                    /usr/lib64/libdl-2.21.so
3fffaccf0000-3fffacd00000 r--p 00000000 fd:00 4591873                    /usr/lib64/libdl-2.21.so
3fffacd00000-3fffacd10000 rw-p 00010000 fd:00 4591873                    /usr/lib64/libdl-2.21.so
3fffacd10000-3fffacd20000 rw-p 00000000 00:00 0 
3fffacd20000-3fffacd60000 r-xp 00000000 fd:00 4863894                    /builddir/build/BUILD/root-5.34.32/lib/libRint.so.5.34
3fffacd60000-3fffacd70000 r--p 00030000 fd:00 4863894                    /builddir/build/BUILD/root-5.34.32/lib/libRint.so.5.34
3fffacd70000-3fffacd80000 rw-p 00040000 fd:00 4863894                    /builddir/build/BUILD/root-5.34.32/lib/libRint.so.5.34
3fffacd80000-3fffad010000 r-xp 00000000 fd:00 4863850                    /builddir/build/BUILD/root-5.34.32/lib/libCint.so.5.34
3fffad010000-3fffad020000 r--p 00280000 fd:00 4863850                    /builddir/build/BUILD/root-5.34.32/lib/libCint.so.5.34
3fffad020000-3fffad030000 rw-p 00290000 fd:00 4863850                    /builddir/build/BUILD/root-5.34.32/lib/libCint.so.5.34
3fffad030000-3fffad570000 rw-p 00000000 00:00 0 
3fffad570000-3fffadde0000 r-xp 00000000 fd:00 4863854                    /builddir/build/BUILD/root-5.34.32/lib/libCore.so.5.34
3fffadde0000-3fffade10000 r--p 00860000 fd:00 4863854                    /builddir/build/BUILD/root-5.34.32/lib/libCore.so.5.34
3fffade10000-3fffade20000 rw-p 00890000 fd:00 4863854                    /builddir/build/BUILD/root-5.34.32/lib/libCore.so.5.34
3fffade20000-3fffade60000 rw-p 00000000 00:00 0 
3fffade60000-3fffade80000 r-xp 00000000 00:00 0                          [vdso]
3fffade80000-3fffadec0000 r-xp 00000000 fd:00 4591860                    /usr/lib64/ld-2.21.so
3fffadec0000-3fffaded0000 r--p 00030000 fd:00 4591860                    /usr/lib64/ld-2.21.so
3fffaded0000-3fffadee0000 rw-p 00040000 fd:00 4591860                    /usr/lib64/ld-2.21.so
3ffff6450000-3ffff6480000 rw-p 00000000 00:00 0                          [stack]
/var/tmp/rpm-tmp.478q7Z: line 193: 20080 Aborted                 (core dumped) LD_LIBRARY_PATH=${PWD}/lib:${PWD}/cint/cint/include:${PWD}/cint/cint/stl PATH=${PWD}/bin:${PATH} ROOTSYS=${PWD} ./bin/root.exe -b -l -n -q -x html.C
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.478q7Z (%install)
    Bad exit status from /var/tmp/rpm-tmp.478q7Z (%install)


gdb-backtrace:

(gdb) bt
#0  0x00003fffb68ddfd0 in raise () from /lib64/libc.so.6
#1  0x00003fffb68e0ae0 in abort () from /lib64/libc.so.6
#2  0x00003fffb6928f84 in __libc_message () from /lib64/libc.so.6
#3  0x00003fffb69e32c0 in __fortify_fail () from /lib64/libc.so.6
#4  0x00003fffb69e3250 in __stack_chk_fail () from /lib64/libc.so.6
#5  0x00003fffb785da74 in DefaultErrorHandler (level=<optimized out>, abort_bool=<optimized out>, 
    location=0x3fffb7ff9098 "UnknownClass::ReadFile", msg=0x10061290 "no file name specified")
    at /builddir/build/BUILD/root-5.34.32/core/base/src/TError.cxx:197
#6  0x00003fffb785d264 in ErrorHandler (level=<optimized out>, 
    location=0x6966696365707320 <error: Cannot access memory at address 0x6966696365707320>, fmt=0x3fffb7d9bdb0 "no file name specified", 
    ap=<optimized out>) at /builddir/build/BUILD/root-5.34.32/core/base/src/TError.cxx:245
#7  0x00003fffb78b53ac in TObject::DoError (this=0x1005e2f0, level=<optimized out>, location=0x3fffb7d9b3b8 "ReadFile", 
    fmt=0x3fffb7d9bdb0 "no file name specified", va=0x3ffffffff038 "") at /builddir/build/BUILD/root-5.34.32/core/base/src/TObject.cxx:869
#8  0x00003fffb78b5598 in TObject::Error (this=<optimized out>, location=<optimized out>, fmt=<optimized out>)
    at /builddir/build/BUILD/root-5.34.32/core/base/src/TObject.cxx:906
#9  0x00003fffb78c6f0c in TEnv::ReadFile (this=0x1005e2f0, fname=<optimized out>, level=<optimized out>)
    at /builddir/build/BUILD/root-5.34.32/core/base/src/TEnv.cxx:597
#10 0x00003fffb78c7a78 in TEnv::TEnv (this=0x1005e2f0, name=0x3fffb7d95ba8 ".rootrc")
    at /builddir/build/BUILD/root-5.34.32/core/base/src/TEnv.cxx:416
#11 0x00003fffb7866f48 in TROOT::InitSystem (this=<optimized out>) at /builddir/build/BUILD/root-5.34.32/core/base/src/TROOT.cxx:1440
#12 0x00003fffb78675e8 in TROOT::TROOT (this=0x3fffb7f5bda8 <ROOT::GetROOT()::root>, name=0x3fffb7ddc698 "root", title=<optimized out>, 
    initfunc=0x0) at /builddir/build/BUILD/root-5.34.32/core/base/src/TROOT.cxx:298
#13 0x00003fffb7868f2c in ROOT::GetROOT () at /builddir/build/BUILD/root-5.34.32/core/base/src/TROOT.cxx:206
#14 0x00003fffb7821468 in __static_initialization_and_destruction_0 (__initialize_p=1, __priority=65535)
    at /builddir/build/BUILD/root-5.34.32/core/base/src/TROOT.cxx:215
#15 _GLOBAL__sub_I_TROOT.cxx(void) () at /builddir/build/BUILD/root-5.34.32/core/base/src/TROOT.cxx:2236
#16 0x00003fffb7fbaa50 in _dl_init () from /lib64/ld64.so.2
#17 0x00003fffb7fa116c in _dl_start_user () from /lib64/ld64.so.2


Version-Release number of selected component (if applicable): 5.34.32-3


How reproducible: ppc-koji build root on ppc64le.

Comment 1 Fedora End Of Life 2016-07-19 18:03:48 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 2 Jan Kurik 2016-07-26 04:40:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Fedora Admin XMLRPC Client 2016-07-30 09:55:21 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Admin XMLRPC Client 2016-08-12 16:38:01 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora Admin XMLRPC Client 2016-08-17 19:35:54 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Rafael Fonseca 2017-01-16 15:05:43 UTC
root is now "ExcludeArch: ppc %{power64}" so I'm closing this bug.


Note You need to log in before you can comment on or make changes to this bug.